/**
 * Choice controller with added change function.
 * @param {type} id Id of the scene.
 * @param {type} key Key of this choice.
 * @param {type} changeFn Change function, called once.
 * @param {type} changeNoteFn Change note function. Should return a global.ui.change.buildNotification() result.
 */
function ChangeController(id, key, changeFn, changeNoteFn) {
    ChoiceController.call(this, id, key);
    this.change = function () {
        var changeId = key + "Change";
        global.kobold.history.doIfNotSet(id, changeId, true, changeFn);
        return changeNoteFn();
    };
}
