/**
 * Stores, reads and alters Kobold Adventure settings.
 */
function Settings() {
    // PRIVATE MEMBERS \\       var private = "test";
    var that = this;

    // PRIVATE FUNCTIONS \\     function privateFunction(){}
    var settingsSlot = "settings";
    
    var flatChest = "flatchest";

    // PUBLIC MEMBERS \\        this.public = "test";

    // PUBLIC FUNCTIONS \\      this.publicFunction = function(){};

    /**
     * Gets the flat chested female setting.
     * @returns {undefined | boolean} May return undefined, true or false depending on whether the setting has been set or not. Undefined is to be treated as false.
     */
    this.getFlatChestedFemale = function () {
        var json = localStorage.getItem(settingsSlot) || "{}";
        var obj = JSON.parse(json);
        return obj[flatChest];
    };

    /**
     * Sets the flat chested female setting.
     * @param {boolean} value The value to set it to.
     */
    this.setFlatChestedFemale = function (value) {
        var json = localStorage.getItem(settingsSlot) || "{}";
        var obj = JSON.parse(json);
        obj[flatChest] = value;
        localStorage.setItem(settingsSlot, JSON.stringify(obj));
    };
}

