/**
 * Controller for the Forest scene.
 * @param {string} sceneId The id of the scene.
 */
function ForestController(sceneId) {
    // PRIVATE MEMBERS \\       var private = "test";
    var id = sceneId;
    var autoSaveDone = "autosave";
    
    // PRIVATE FUNCTIONS \\     function privateFunction(){}

    // PUBLIC MEMBERS \\        this.public = "test";
    this.intro = new ForestIntroductionController(id);
    this.home = new ForestHomeController(id);
    this.woods = new ForestWoodsController(id);
    this.bandit = new ForestBanditController(id);
    this.unknown = new ForestUnknownController(id);
    
    this.homeSceneName = "Home";

    // PUBLIC FUNCTIONS \\      this.publicFunction = function(){};
    /*
     * Autosaves the game if necessary.
     */
    this.autoSave = function() {
        if (!global.kobold.history.has(id, autoSaveDone)) {
            var history = global.kobold.history.get(id);
            history[autoSaveDone] = true;
            global.kobold.history.set(id, history);
            global.saveManager.autoSave();
        }
    };
}


