/**
 * Barn section of the farm scene.
 * @param {BreedingFarmController} controller The breeding farm controller.
 */
function NotBarnLootDownstairsContinue(controller) {
    // PRIVATE MEMBERS \\       var private = "test";
    var that = this;
    var ctrl = controller;

    var continueId = "notBarnLootDownstairsContinueButton";

    // PRIVATE FUNCTIONS \\     function privateFunction(){}

    /**
     * Builds and returns the content of this section.
     * @returns {string} The content.
     */
    function buildContent() {
        var dead = global.kobold.history.shared.cassidy.dead;
        var toReturn = `[p]
                            After about half an hour of running through fields, farms and small patches of woodland,
                            making sure to stay out of sight, you think you're finally in the clear.
                            By traversing less-well travelled paths, you've ensured nobody will be able to link you to 
                            ${dead ? "the murder" : "the robbing"} of Cassidy${dead ? "" : ", apart from the vixen herself"}.
                            ${dead ? "" : "You're certain she won't tell anyone, out of fear that you'll spread the word of her deviant sexual tastes, thus ruining her reputation."}
                            You have a feeling the city guards'll be pestering you enough [i]without[/i] allegations of ${dead ? "murder" : "robbery"}.
                        [/p]
                        [p]
                            You find yourself on the eastern road to Varanar once again.
                            After taking a moment to catch your breath, you begin to walk down the path towards the city.
                            At least you won't be meeting any more crazy, kobold-breeding bitches there.
                            Or so you hope.
                        [/p]`;
        return global.parser.parse(toReturn);
    }

    /**
     * Builds and returns the continue button.
     */
    function buildChoice() {
        var disabled = ctrl.continued();
        var choice = `<div class="choicecontainer">`;
        choice += `<button class="button bigbutton continuebutton" id="${continueId}" ${disabled ? "disabled" : ""}>`;
        choice += `Continue &gt;&gt`;
        choice += `</button>`;
        choice += `</div>`;
        return choice;
    }

    // PUBLIC MEMBERS \\        this.public = "test";
    this.id = "notBarnLootDownstairsContinue";

    // PUBLIC FUNCTIONS \\      this.publicFunction = function(){};

    /**
     * Builds and returns this part.
     * @param {boolean} invisible If passed and true, will give the entire section a display:none style.
     */
    this.build = function (invisible) {
        if (!ctrl.postnotbarnloot.continued()) {
            return "";
        }
        global.ui.applyTheme("hamlet_day");
        var part = `<div id="${that.id}" ${invisible ? 'style="display:none;"' : ""}>`;
        part += buildContent();
        part += ctrl.notbarnLootContinueChange();
        part += buildChoice();
        part += `<span class="todo">There is no content beyond this point.</span>`;
        part += `</div>`;
        return part;
    };

    /**
     * Registers all the required button listeners for this part.
     */
    this.registerListeners = function () {
        if (!ctrl.postnotbarnloot.continued()) {
            return;
        }

        //toEager.registerListeners();

        if (ctrl.continued()) {
            return;
        }

        //registerContinueListener();
    };
}
