/**
 * Barn section of the farm scene.
 * @param {BreedingFarmController} controller The breeding farm controller.
 */
function NotBarnDisagreeContinue(controller) {
    // PRIVATE MEMBERS \\       var private = "test";
    var that = this;
    var ctrl = controller;

    var continueId = "notBarnDisagreeContinueButton";

    // PRIVATE FUNCTIONS \\     function privateFunction(){}

    /**
     * Builds and returns the content of this section.
     * @returns {string} The content.
     */
    function buildContent() {
        var toReturn = `[p]
                            After the both of you recover your respective breaths, Cassidy walks over to your lower end.
                            You get your hopes up, thinking she's about to [i]return the favor[/i],
                            but instead of bringing her muzzle to your groin as you'd hoped,
                            the woman deftly takes hold of one of your ankles,
                            and begins to [b]drag[/b] you towards the door, over the smooth, wooden floor.
                            You stay silent.
                            After all, she hasn't [b]told you[/b] to speak.
                        [/p]
                        [p]
                            Reaching the doorway, the canine opens up the door once more, and promptly kicks you out onto the porch.
                            You look back at her, her loins almost as messy as your face is.
                            She speaks, in a stern tone, glaring at you as though you've done something wrong.
                            "[color=orange]Come back when you realize that your kind amounts to nothing good but pleasuring others.
                            I'll save a spot in the barn, just for you.
                            Until then, you stay the [b]hell[/b] away from my farm.
                            And if you [b]ever[/b] dare to insinuate that I don't have what's best in mind for the kobolds I breed,
                            I'll make you [b]wish[/b] I sent you to the [b]slaughterhouse[/b].[/color]"
                        [/p]
                        [p]
                            After that last threat, Cassidy harshly slams the door shut, leaving you cold and alone on the porch of her home,
                            her arousal sticking to your face, her taste lingering in your mouth,
                            and her scent more than likely having seeped into your scales to the point where you'll be [b]reeking[/b] of fox femcum for days to come.
                        [/p]
                        [p]
                            Part of you is glad that this entire ordeal is finally over with,
                            even if you didn't get anything in return for pleasuring the vulpine, apart from getting yelled at.
                            But then again, she [i]didn't[/i] end up forcing you into a lifetime of sexual servitude, which is a good thing, come to think of it.
                            You pick yourself up off of the ground, wipe your face clean of most of the goop staining it,
                            and swiftly leave the vicinity of the farm, returning to the center of the hamlet.
                        [/p]
                        [p]
                            It's late in the afternoon.
                            Too late to go explore another part of the hamlet.
                            In fact, if you want to reach Varanar before nightfall,
                            you have to leave right away.
                            You take one final glance at the barn and the mansion beside it.
                            You've got mixed feelings about that entire place.
                            You don't think you'll ever go there again.
                            You [i]hope[/i] you'll never go there again.
                        [/p]`;
        return global.parser.parse(toReturn);
    }

    /**
     * Builds and returns the continue button.
     */
    function buildChoice() {
        var disabled = ctrl.continued();
        var choice = `<div class="choicecontainer">`;
        choice += `<button class="button bigbutton continuebutton" id="${continueId}" ${disabled ? "disabled" : ""}>`;
        choice += `Continue &gt;&gt`;
        choice += `</button>`;
        choice += `</div>`;
        return choice;
    }

    // PUBLIC MEMBERS \\        this.public = "test";
    this.id = "notBarnDisagreeContinue";

    // PUBLIC FUNCTIONS \\      this.publicFunction = function(){};

    /**
     * Builds and returns this part.
     * @param {boolean} invisible If passed and true, will give the entire section a display:none style.
     */
    this.build = function (invisible) {
        if (!ctrl.postnotbarnsex.continued()) {
            return "";
        }

        global.ui.applyTheme("hamlet_day");
        var part = `<div id="${that.id}" ${invisible ? 'style="display:none;"' : ""}>`;
        part += buildContent();
        part += ctrl.notbarnDisagreeContinueChange();
        part += buildChoice();
        part += `<span class="todo">There is no content beyond this point.</span>`;
        part += `</div>`;
        return part;
    };

    /**
     * Registers all the required button listeners for this part.
     */
    this.registerListeners = function () {
        if (!ctrl.postnotbarnsex.continued()) {
            return;
        }

        //toEager.registerListeners();

        if (ctrl.continued()) {
            return;
        }

        //registerContinueListener();
    };
}
