/**
 * Seki's Workshop. Starting scene of the Hamlet.
 */
function SekiWorkshop() {
    // PRIVATE MEMBERS \\       var private = "test";
    var that = this;
    var sceneId = "SekiWorkshop";
    var sceneName = "Seki's Workshop";
    var sceneSubfolder = "HamletDay2";
    var ctrl = new SekiWorkshopController(sceneId);
    var arrival = new SekiWorkshopArrival(ctrl);

    // PRIVATE FUNCTIONS \\     function privateFunction(){}

    /**
     * Sets all the required global variables such as scene id, scene name,
     * scene stack and theme.
     */
    function setGlobals() {
        global.currentScene = that.id;
        global.currentSceneName = that.name;
        global.currentSceneFolder = that.subfolder ? that.subfolder : "";
        global.kobold.history.addToSceneStack(that.id);
    }

    /**
     * Builds the tab as a HTML string.
     * @returns {string} The tab, as a HTML string.
     */
    function buildTab() {
        var tab = global.ui.buildGenericHeader();
        tab += global.parser.parse(`[t]hamlet[/t]`);
        tab += arrival.build();
        tab += global.ui.buildGenericFooter();
        return tab;
    }

    // PUBLIC MEMBERS \\        this.public = "test";
    this.id = sceneId;
    this.name = sceneName;
    this.subfolder = sceneSubfolder;

    // PUBLIC FUNCTIONS \\      this.publicFunction = function(){};

    /**
     * Loads this scene.
     */
    this.load = function () {
        setGlobals();
        var tab = buildTab();
        global.ui.loadToMain(tab);
        arrival.registerListeners();
        ctrl.autosave();
    };
}

(function () {
    var scene = new SekiWorkshop();
    global.sceneLoader.registerScene(scene.id, scene);
})();
